gcc: Fix building with glibc >= 2.28